# -*- coding: utf8 -*-

from __future__ import unicode_literals

from driverng.tests import BaseTest


class TestProtocolPhoresys(BaseTest):
    PROTOCOL_CLASS = "phoresys"

    def test_send_recv(self):
        self.assertSendRecvMessageEqual(
            """@    1224022322     ANONY MEAN onyme              10081936M000                    24032014     03032400018902                                                                                                                                        """,
            """
            send <stx>@    1224022322     ANONY MEAN onyme              10081936M000                    24032014     03032400018902                                                                                                                                        <eot>
            recv <stx>
            recv <ack>
            recv <etx>
            """,
        )
